Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.entity
Interface EntitySelector

All Superinterfaces:
  EventListener, Iterable<Object>, IterableSelector<Object>, ListIterable<Object>, ListIterableSelector<Object>, Selector, SolverLifecycleListener, SolverPhaseLifecycleListener

All Known Implementing Classes:
  AbstractCachingEntitySelector, AbstractEntitySelector, CachingEntitySelector, FilteringEntitySelector, FromSolutionEntitySelector, MimicRecordingEntitySelector, MimicReplayingEntitySelector, ProbabilityEntitySelector, ShufflingEntitySelector, SortingEntitySelector

    public interface EntitySelector

extends ListIterableSelector<Object>

Selects instances of 1 `PlanningEntity` annotated class.

See Also:
  `AbstractEntitySelector`, `FromSolutionEntitySelector`

Method Summary
`Iterator<Object>` | `endingIterator()` If `Selector.isNeverEnding()` is true, then `Iterable.iterator()` will never end.
`PlanningEntityDescriptor` | `getEntityDescriptor()`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector
`getSize`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isContinuous, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.common.iterator.ListIterable
`listIterator, listIterator`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getEntityDescriptor

    PlanningEntityDescriptor getEntityDescriptor()

  Returns:
    never null

### endingIterator

    Iterator<Object> endingIterator()

  If `Selector.isNeverEnding()` is true, then `Iterable.iterator()` will never end. This returns an ending `Iterator`, that tries to match `Iterable.iterator()` as much as possible, but might not respect the configuration of this `EntitySelector` entirely.

  Returns:
    never null
  See Also:
    `Iterable.iterator()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.